Summary: wmapm monitors the APM statistics
%define version 3.01
Name: wmapm
Version: %{version}
Release: 3
Copyright: GPL
Group: X Windows/Window Managers
Source: ftp://leadbelly.lanl.gov/pub/mgh/%{name}-%{version}.tar.gz
Packager: Ian Macdonald <ianmacd@xs4all.nl>
BuildRoot: /var/tmp/%{name}-root
Requires: apmd

%description
WMAPM monitors the APM statistics through the APM support in
the Linux and FreeBSD Kernels.

You will need to make apm setuid before the suspend and standby
buttons will work.

%prep
%setup

%build
touch %{name}/%{name}.c
make -C %{name}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -s -m 755 %{name}/%{name} $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 444 %{name}/%{name}.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1

%files
%defattr(-,root,root)
/usr/X11R6/bin/%{name}
/usr/X11R6/man/man1/%{name}.1
%doc BUGS CHANGES COPYING HINTS INSTALL README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 21 1998 Ian Macdonald <ianmacd@xs4all.nl>

- suid bit removed from wmapm
- apmd dependency added

* Tue Feb 9 1998 Ian Macdonald <ianmacd@xs4all.nl>

- first RPM release
